import { TreeRepository } from "./TreeRepository";
import { EntityMetadata } from "../metadata/EntityMetadata";
import { EntityMetadataCollection } from "../metadata-args/collection/EntityMetadataCollection";
import { Connection } from "../connection/Connection";
import { Repository } from "./Repository";
import { ReactiveRepository } from "./ReactiveRepository";
import { ReactiveTreeRepository } from "./ReactiveTreeRepository";
import { Broadcaster } from "../subscriber/Broadcaster";
/**
 */
export declare class RepositoryFactory {
    createRepository(connection: Connection, broadcaster: Broadcaster, allMetadatas: EntityMetadataCollection, metadata: EntityMetadata): Repository<any>;
    createTreeRepository(connection: Connection, broadcaster: Broadcaster, allMetadatas: EntityMetadataCollection, metadata: EntityMetadata): TreeRepository<any>;
    createReactiveRepository(repository: Repository<any>): ReactiveRepository<any>;
    createReactiveTreeRepository(repository: TreeRepository<any>): ReactiveTreeRepository<any>;
}
